# aclass.h File Reference

Go to the source code of this file.

## Namespaces

namespace | NameSpaceTest

## Classes

class | Foo
| This class does blah. More...
struct | blah
| This struct does something useless. More...
struct | baz

## Defines

#define | SOME_OBSCURE_DEFINE 76

## Enumerations

enum | _blah { FOO_SNAZ, Foo }
| This is a useless enum. More...

## Variables

int | NameSpaceTest::foobazbar

## Define Documentation

#define SOME_OBSCURE_DEFINE 76

| Definition at line 7 of file aclass.h.

## Enumeration Type Documentation

enum _blah

This is a useless enum.

Enumerator:

  FOO_SNAZ | More silly stuff.
  Foo |

Definition at line 64 of file aclass.h.

    00065 {
    00066     FOO_SNAZ,
    00067     Foo
    00068 };